org.eclipse.jetty.io

## Class PooledBuffers

- java.lang.Object
- - org.eclipse.jetty.io.AbstractBuffers
  - - org.eclipse.jetty.io.PooledBuffers

All Implemented Interfaces:
  Buffers

    public class PooledBuffers
    extends AbstractBuffers

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.jetty.io.Buffers

`Buffers.Type`

### Field Summary

### Fields inherited from class org.eclipse.jetty.io.AbstractBuffers

`_bufferSize, _bufferType, _headerSize, _headerType, _otherType`

### Constructor Summary

Constructors
Constructor and Description
`PooledBuffers(Buffers.Type headerType, int headerSize, Buffers.Type bufferType, int bufferSize, Buffers.Type otherType, int maxSize)`

### Method Summary

Methods
`Buffer` `getBuffer()`
`Buffer` `getBuffer(int size)`
`Buffer` `getHeader()`
`void` `returnBuffer(Buffer buffer)`
`String` `toString()`

### Methods inherited from class org.eclipse.jetty.io.AbstractBuffers

`getBufferSize, getHeaderSize, isBuffer, isHeader, newBuffer, newBuffer, newHeader`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PooledBuffers

    public PooledBuffers(Buffers.Type headerType,
                 int headerSize,
                 Buffers.Type bufferType,
                 int bufferSize,
                 Buffers.Type otherType,
                 int maxSize)

### Method Detail

#### getHeader

    public Buffer getHeader()

#### getBuffer

    public Buffer getBuffer()

#### getBuffer

    public Buffer getBuffer(int size)

#### returnBuffer

    public void returnBuffer(Buffer buffer)

#### toString

    public String toString()

Overrides:
  `toString` in class `AbstractBuffers`